net.i2p.client.naming

## Class EepGetAndAddNamingService

- java.lang.Object
- - net.i2p.client.naming.NamingService
  - - net.i2p.client.naming.DummyNamingService
    - - net.i2p.client.naming.EepGetNamingService
      - - net.i2p.client.naming.EepGetAndAddNamingService

- Deprecated.
  use HostsTxtNamingService.put()

      public class EepGetAndAddNamingService
      extends EepGetNamingService

  Simple extension to EepGetNamingService to append what we find to hosts.txt, so we only have to do an EepGet query once. Note that there is little protection - there are a lot of validity checks in addressbook that are not included here. MUST be used from MetaNamingService, after HostsTxtNamingService. Cannot be used as the only NamingService! Be sure any naming service hosts are in hosts.txt. If this isn't after HostsTxtNamingService, you will clog up your hosts.txt with duplicate entries. Sample config to put in configadvanced.jsp (restart required): i2p.naming.impl=net.i2p.client.naming.MetaNamingService i2p.nameservicelist=net.i2p.client.naming.HostsTxtNamingService,net.i2p.client.naming.EepGetAndAddNamingService i2p.naming.eepget.list=http://stats.i2p/cgi-bin/hostquery.cgi?a=,http://i2host.i2p/cgi-bin/i2hostquery?
  Since:
    0.7.9
  Author:
    zzz

- - ### Field Summary

    - ### Fields inherited from class net.i2p.client.naming.DummyNamingService

      `BASE32_HASH_LENGTH, CACHE_MAX_SIZE, DEST_SIZE, PROP_B32`

    - ### Fields inherited from class net.i2p.client.naming.NamingService

      `_context, _listeners, _log, _updaters, PROP_IMPL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EepGetAndAddNamingService(I2PAppContext context)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Destination` | `lookup(String hostname)` Deprecated. Look up a host name.

    - ### Methods inherited from class net.i2p.client.naming.EepGetNamingService

      `lookup`

    - ### Methods inherited from class net.i2p.client.naming.DummyNamingService

      `clearCache, getCache, putCache, removeCache`

    - ### Methods inherited from class net.i2p.client.naming.NamingService

      `addNamingService, addNamingService, createInstance, getBase64Entries, getConfiguration, getEntries, getEntries, getName, getNames, getNames, getNamingServices, getParent, lookup, lookupBase32, lookupBase64, put, put, putAll, putIfAbsent, putIfAbsent, registerListener, registerUpdater, remove, remove, removeNamingService, requestUpdate, reverseLookup, reverseLookup, reverseLookup, setConfiguration, shutdown, size, size, start, toString, unregisterListener, unregisterUpdater, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EepGetAndAddNamingService

          public EepGetAndAddNamingService(I2PAppContext context)

      Deprecated.

  - ### Method Detail

    - #### lookup

          public Destination lookup(String hostname)

      Deprecated.
      Description copied from class: `NamingService`
      Look up a host name.
      Overrides:
        `lookup` in class `NamingService`
      Returns:
        the Destination for this host name, or `null` if name is unknown.